import { useEffect, useState } from 'react'
import { getMiniQrcode } from '@/services/common'

export default function useBuildingPoster(person, building, router, paramsRef) {
  const [posterData, setPosterData] = useState()

  useEffect(() => {
    if (building?.buildingId) {
      const page = router.path
      const scene = paramsRef.current
  
      getMiniQrcode({ page, scene }).then((miniCode) => {
        setPosterData({
          poster: building?.poster,
          miniCode,
          name: person.name || person.nickname,
          avatar: person.avatarurl,
        })
      })
    }
  // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [building?.buildingId, router.path, building?.poster])

  return posterData
}
