import { useRef, useMemo } from 'react'
import { ROLE_CODE } from '@/constants/user'

export default function useParams(person, buildingInfo) {  

  // 判断当前人员是否置业顾问
  const consultant = person.personType === ROLE_CODE.CONSULTANT ? { id: person.personId } : {}

  const paramsRef = useRef()
  paramsRef.current = useMemo(() => {
    return [
      `id=${buildingInfo?.buildingId}`,
      `from=building_share`,
      `recommender=${person.personId}`,
      consultant.id ? `consultant=${consultant.id}` : undefined,
    ].filter(Boolean).join('&')
  }, [buildingInfo?.buildingId, person.personId, consultant.id])

  return paramsRef
}
