import React, { useState } from 'react'
import Taro, { useShareAppMessage } from '@tarojs/taro'
import shareTracking from '@/utils/tracking/share'

export default function useShare(shareRef, trackRef) {
  useShareAppMessage((res) => {
    const {
      title = '',
      path = '',
      image = '',
    } = shareRef.current || {}

    const {
      // event = 'share',
      // eventType = '',
      // propertyName = '',
      consultantId = '',
      sharePersonId = '',
      targetId = '',
      buildingId = '',
    } = trackRef.current || {}

    // 分享埋点
    shareTracking({
      consultantId,
      sharePersonId,
      targetId,
      buildingId,
    })
    
    return { title, path, imageUrl: image }
  })
}
